Answers
Date: 2015-09-18

org.mockito.internal.stubbing.defaultanswers

## Enum Answers

- java.lang.Object
- - java.lang.Enum<Answers>
  - - org.mockito.internal.stubbing.defaultanswers.Answers

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Answers>

  Deprecated.
  - please use Answers from top Mockito package: `Answers`

  WARNING Those answers no longer are used by the framework!!! Please use `Answers`

  See `Mockito` for more information.

      @Deprecated
      public enum Answers
      extends java.lang.Enum<Answers>

  Enumeration of pre-configured mock answers

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALLS_REAL_METHODS` Deprecated.
    `RETURNS_DEEP_STUBS` Deprecated.
    `RETURNS_DEFAULTS` Deprecated.
    `RETURNS_MOCKS` Deprecated.
    `RETURNS_SMART_NULLS` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Answer<java.lang.Object>` | `get()` Deprecated.
    `static Answers` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static Answers[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RETURNS_DEFAULTS

          public static final Answers RETURNS_DEFAULTS

      Deprecated.

    - #### RETURNS_SMART_NULLS

          public static final Answers RETURNS_SMART_NULLS

      Deprecated.

    - #### RETURNS_MOCKS

          public static final Answers RETURNS_MOCKS

      Deprecated.

    - #### RETURNS_DEEP_STUBS

          public static final Answers RETURNS_DEEP_STUBS

      Deprecated.

    - #### CALLS_REAL_METHODS

          public static final Answers CALLS_REAL_METHODS

      Deprecated.

  - ### Method Detail

    - #### values

          public static Answers[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Answers c : Answers.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Answers valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public Answer<java.lang.Object> get()

      Deprecated.